<?xml version="1.0"?>

<project name="Example build using import of PojoCacheTasks50.xml" default="all"">
   <property name="build.sysclasspath" value="ignore"/>
   
   <!-- These are your own directories -->
   <property name="output" value="${basedir}/output"/>
   <property name="source" value="${basedir}/src"/>
   <property name="build" value="${basedir}/build"/>

   <!-- The location of the JBoss Cache dist
        REPLACE THIS WITH YOUR OWN LOCATION -->
   <property name="cache_home" value="${basedir}/.."/>
   
   <!-- REPLACE THIS WITH YOUR OWN CLASSPATH'S SET OF THIRDPARTY LIBRARIES -->
   <path id="lib.classpath">
      <fileset dir="${cache_home}/lib">
         <include name="**/*.jar"/>
      </fileset>
   </path>

   <!-- Need to define these before importing PojoCacheTasks.xml -->
   <!-- You define your own classpath here -->
   <path id="user.classpath">
      <pathelement path="${build}"/>
      <fileset dir="${cache_lib}">
         <include name="junit.jar"/>
      </fileset>
   </path>
   <property name="user.build" value="${build}"/>

   <!-- This is import for the aopc and annoc -->
   <import file="PojoCacheTasks50.xml"/>

   <path id="lib.classpath">
      <fileset dir="${cache_lib}">
         <include name="**/*.jar"/>
      </fileset>
   </path>

   <!-- set up directory -->
   <target name="init" description="Prepare to build.">
      <!-- Create the time stamp -->
      <tstamp/>
      <!-- Create the build directory structure used by compile and copy the deployment descriptors into it-->
      <mkdir dir="${build}"/>
   </target>

   <target name="clean" description="Clean up compiled classes">
      <delete dir="${output}"/>
   </target>

   <!-- compile directory -->
   <target name="compile" depends="init" description="Build unit testing class">
      <javac srcdir="${source}"
             destdir="${build}"
             includes="**/**"
             debug="true"
             deprecation="true">
         <classpath>
            <path refid="lib.classpath"/>
         </classpath>
      </javac>
   </target>

   <target name="all" depends="compile, aopc" />

</project>
